Skip to content

Volumes List

GET
/api/v1/block_storage/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/block_storage/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

A successful response containing block storage details

Media typeapplication/json
object
code

Response status code

integer
data
Array<object>
object
block_id

Unique identifier for the block storage

integer
name

Name of the block storage

string
size

Size of the block storage in MB

integer
status

Status of the block storage

string
template
object
DEV_PREFIX

Device prefix

string
DRIVER

Storage driver type

string
TOTAL_IOPS_SEC

Total IOPS per second

string
vm_detail

Details of the VM associated with the block storage (if any)

object
created_on

Timestamp of when the block storage was created

string format: date-time
size_string

Human-readable size of the block storage

string
errors

Any errors that occurred during the operation (if applicable)

object
message

Response message indicating success

string

Example

{
"code": 200,
"data": [
{
"block_id": 25214,
"name": "V_250GB_572",
"size": 238419,
"status": "Available",
"template": {
"DEV_PREFIX": "vd",
"DRIVER": "raw",
"TOTAL_IOPS_SEC": "5000"
},
"created_on": "2024-10-16T07:20:53Z",
"size_string": "250 GB"
}
],
"message": "Success"
}